<%@ page contentType="text/html;charset=UTF-8"%>
<%@ page import="java.util.*" %>
<%@ page import="net.sz600.tool.SzConvert" %>
<%@ page import="net.sz600.online.*" %>
<%@ page import="net.sz600.system.*" %>
<%@ include file="/sessionInfo.jsp"%>
<%
  OlMessageControl messageControl = new OlMessageControl(); 
  int iCount = OlUserSession.getInstance().refresh(iDLID_SESSION);
  //更新cookie
  Cookie szLoginCookieMessage = new Cookie("SzLoginCookieMessage", Integer.toString(iCount));
  szLoginCookieMessage.setMaxAge(60*60*24*30*12);
  szLoginCookieMessage.setPath("/");       
  response.addCookie(szLoginCookieMessage);

  ArrayList list = (ArrayList)OlMessageControl.mapUserMessage.get(new Integer(iDLID_SESSION));
  Map mapMessage = OlMessageControl.mapMessage;
  String sTitle = "";
  String sTitle2= "";
%>  

<%
  int i =0;
  if (list != null) {
  	Iterator iter = list.iterator();
	Integer intJSID = null;
	StringBuffer sb = new StringBuffer("SzMessageJSID");
	while (iter.hasNext()) {
		intJSID = (Integer)iter.next();
		sb.append(",");
		sb.append(intJSID);
		i ++;
		if (i == 9) {
			break;
		}
	}
	sb.append("SzEnd");
	out.println(sb.toString());
	sb = null;
  } // not null;		
%>  

